import React from 'react'
import VerticalLine from './VerticalLine'
import CallBtn from './CallBtn'

const NewLaunchCards = () => {
    return (
        <div className='bg-white py-4 px-4 rounded-md shadow-md'>
            <div className="flex justify-between">
                <div className="rounded-lg text-xs bg-[#C8B5FF] px-2 py-1">
                    27/07/1997
                </div>
                <div className="bg-brand font-semibold rounded-lg px-2 py-1 text-sm text-white">
                    RERA
                </div>
            </div>

            <div className="flex gap-4 items-center mt-2 border-dotted border-b-[1px] border-[#A0A0A0] pb-2 justify-between">
                <div className='flex flex-col gap-1'>
                    <p className='font-semibold text-xl'>Shiv Shankalp</p>
                    <p className='text-tertiary'>Sector 8 Dwarka, Delhi South West</p>
                    <div className='flex gap-3'>
                        <p className='font-semibold'>55L - 2 Cr</p>
                        <VerticalLine />
                        <p className='text-tertiary text-sm'>100 Sqyard to 1000 SqYard</p>
                    </div>

                    <div>
                        <span className='font-semibold text-brand'>20% </span><span className='text-tertiary text-sm'>Price Increase in last 2 years</span>
                    </div>
                </div>

                <img src="/new-project.png" alt="" />
            </div>

            <div className="flex justify-between items-center mt-2">
                <div className="bg-secondary rounded-lg px-2 py-1 flex gap-2 items-center">
                    <img src="/icons/shield.png" alt="" className='w-3 h-3' />
                    <p className='text-xs'>Approved by JJ</p>
                </div>
                <CallBtn title={"View Number"} />
            </div>

        </div>
    )
}

export default NewLaunchCards